Index: /branches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Data/Model/StringColumn.cs
===================================================================
--- /branches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Data/Model/StringColumn.cs	(revision 9613)
+++ /branches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Data/Model/StringColumn.cs	(revision 9614)
@@ -21,10 +21,6 @@
 
 using System;
+using System.Collections;
 using System.Collections.Generic;
-using System.Collections;
-using System.Linq;
-using System.Text;
-using System.Xml;
-using System.Globalization;
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
 
@@ -35,11 +31,9 @@
     private List<string> values;
 
-    private StringColumn() :base(string.Empty) {
-      this.DataType = typeof(string);
-    }
+    [StorableConstructor]
+    protected StringColumn(bool deserializing) : base(deserializing) { }
 
     public StringColumn(string columnName)
       : base(columnName) {
-      this.DataType = typeof(string);
       this.values = new List<string>();
     }
@@ -48,4 +42,8 @@
       : this(columnName) {
       this.values.Capacity = capacity;
+    }
+
+    public override Type DataType {
+      get { return typeof(string); }
     }
 
Index: /branches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.DataProcessor/Command/DataBaseCommandBase.cs
===================================================================
--- /branches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.DataProcessor/Command/DataBaseCommandBase.cs	(revision 9613)
+++ /branches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.DataProcessor/Command/DataBaseCommandBase.cs	(revision 9614)
@@ -1,8 +1,25 @@
-﻿using System;
-using System.Collections.Generic;
-using System.Linq;
-using System.Text;
+﻿#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2013 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+using HeuristicLab.DataImporter.Data.CommandBase;
 using HeuristicLab.DataImporter.Data.Model;
-using HeuristicLab.DataImporter.Data.CommandBase;
 using HeuristicLab.DataImporter.DbExplorer.Interfaces;
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
@@ -11,8 +28,6 @@
   [StorableClass]
   public abstract class DatabaseCommandBase : DataSetCommandBase {
-    private DatabaseCommandBase()
-      : base(null) {
-    }
-
+    [StorableConstructor]
+    protected DatabaseCommandBase(bool deserializing) : base(deserializing) { }
     protected DatabaseCommandBase(DataSet dataSet, IDbExplorer dbExplorer)
       : base(dataSet) {
Index: /branches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.DataProcessor/Command/LoadColumnGroupWithSqlStringFromDBCommand.cs
===================================================================
--- /branches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.DataProcessor/Command/LoadColumnGroupWithSqlStringFromDBCommand.cs	(revision 9613)
+++ /branches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.DataProcessor/Command/LoadColumnGroupWithSqlStringFromDBCommand.cs	(revision 9614)
@@ -20,11 +20,6 @@
 #endregion
 
-using System;
-using System.Collections.Generic;
-using System.Linq;
-using System.Text;
-using System.Xml;
+using HeuristicLab.DataImporter.Data.CommandBase;
 using HeuristicLab.DataImporter.Data.Model;
-using HeuristicLab.DataImporter.Data.CommandBase;
 using HeuristicLab.DataImporter.DbExplorer.Interfaces;
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
@@ -38,8 +33,6 @@
     private ColumnGroup newColumnGroup;
 
-    private LoadColumnGroupWithSqlStringFromDBCommand()
-      : base(null, null) {
-    }
-
+    [StorableConstructor]
+    protected LoadColumnGroupWithSqlStringFromDBCommand(bool deserializing) : base(deserializing) { }
     public LoadColumnGroupWithSqlStringFromDBCommand(DataSet dataSet, IDbExplorer dbExplorer, string sqlString)
       : base(dataSet, dbExplorer) {
Index: /branches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.DataProcessor/Command/LoadColumnGroupsFromDBCommand.cs
===================================================================
--- /branches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.DataProcessor/Command/LoadColumnGroupsFromDBCommand.cs	(revision 9613)
+++ /branches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.DataProcessor/Command/LoadColumnGroupsFromDBCommand.cs	(revision 9614)
@@ -20,11 +20,7 @@
 #endregion
 
-using System;
 using System.Collections.Generic;
-using System.Linq;
-using System.Text;
-using System.Xml;
+using HeuristicLab.DataImporter.Data.CommandBase;
 using HeuristicLab.DataImporter.Data.Model;
-using HeuristicLab.DataImporter.Data.CommandBase;
 using HeuristicLab.DataImporter.DbExplorer.Interfaces;
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
@@ -38,6 +34,7 @@
     private List<ColumnGroup> newColumnGroups;
 
-    private LoadColumnGroupsFromDBCommand()
-      : base(null, null) {
+    [StorableConstructor]
+    protected LoadColumnGroupsFromDBCommand(bool deserializing)
+      : base(deserializing) {
       this.newColumnGroups = new List<ColumnGroup>();
     }
Index: /branches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.DataProcessor/Command/ReorderColumnsCommand.cs
===================================================================
--- /branches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.DataProcessor/Command/ReorderColumnsCommand.cs	(revision 9613)
+++ /branches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.DataProcessor/Command/ReorderColumnsCommand.cs	(revision 9614)
@@ -20,9 +20,6 @@
 #endregion
 
-using System;
 using System.Collections.Generic;
 using System.Linq;
-using System.Text;
-using System.Xml;
 using HeuristicLab.DataImporter.Data.CommandBase;
 using HeuristicLab.DataImporter.Data.Model;
@@ -35,8 +32,6 @@
     private Dictionary<string, int[]> displayedIndexes;
 
-    private ReorderColumnsCommand()
-      : base(null) {
-    }
-
+    [StorableConstructor]
+    protected ReorderColumnsCommand(bool deserializing) : base(deserializing) { }
     public ReorderColumnsCommand(DataSet ds, Dictionary<string, int[]> displayedIndexes)
       : base(ds) {
Index: /branches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.DataProcessor/DataProcessor.cs
===================================================================
--- /branches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.DataProcessor/DataProcessor.cs	(revision 9613)
+++ /branches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.DataProcessor/DataProcessor.cs	(revision 9614)
@@ -20,20 +20,20 @@
 #endregion
 
-using System;
-using System.Collections.Generic;
-using System.Linq;
-using System.Text;
-using System.Xml;
-using HeuristicLab.DataImporter.DbExplorer.Interfaces;
 using HeuristicLab.DataImporter.Data;
 using HeuristicLab.DataImporter.Data.Model;
+using HeuristicLab.DataImporter.DbExplorer.Interfaces;
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
 
 namespace HeuristicLab.DataImporter.DataProcessor {
   [StorableClass]
-  public class DataProcessor{
+  public class DataProcessor {
     public DataProcessor() {
       this.commandChain = new CommandChain();
       this.dataSet = new DataSet();
+    }
+    [StorableConstructor]
+    protected DataProcessor(bool deserializing)
+      : base() {
+      this.commandChain = new CommandChain();
     }
 
Index: /branches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.DataProcessor/Plugin.cs.frame
===================================================================
--- /branches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.DataProcessor/Plugin.cs.frame	(revision 9613)
+++ /branches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.DataProcessor/Plugin.cs.frame	(revision 9614)
@@ -31,6 +31,6 @@
   [PluginFile("HeuristicLab.DataImporter.DataProcessor-1.0.dll", PluginFileType.Assembly)]
   [PluginFile("HeuristicLab.DataImporter.DbExplorer.Interfaces-1.0.dll", PluginFileType.Assembly)]
-  [PluginDependency("HeuristicLab.ALGLIB","3.6")]
   [PluginDependency("HeuristicLab.Common.Resources","3.3")]
+  [PluginDependency("HeuristicLab.Problems.DataAnalysis","3.4")]
   [PluginDependency("HeuristicLab.Persistence","3.3")]
   public class HeuristicLabDataImporterDataProcessorPlugin : PluginBase {
Index: /branches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.DbExplorer.Interfaces/DbColumn.cs
===================================================================
--- /branches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.DbExplorer.Interfaces/DbColumn.cs	(revision 9613)
+++ /branches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.DbExplorer.Interfaces/DbColumn.cs	(revision 9614)
@@ -20,9 +20,4 @@
 #endregion
 
-using System;
-using System.Collections.Generic;
-using System.Linq;
-using System.Text;
-using System.Xml;
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
 
@@ -30,7 +25,6 @@
   [StorableClass]
   public class DbColumn {
-    private DbColumn()
-      : base() {
-    }
+    [StorableConstructor]
+    protected DbColumn(bool deserializing) : base() { }
 
     public DbColumn(string columnName, string sqlDataType) {
Index: /branches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.DbExplorer.Interfaces/DbTable.cs
===================================================================
--- /branches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.DbExplorer.Interfaces/DbTable.cs	(revision 9613)
+++ /branches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.DbExplorer.Interfaces/DbTable.cs	(revision 9614)
@@ -23,6 +23,4 @@
 using System.Collections.Generic;
 using System.Linq;
-using System.Text;
-using System.Xml;
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
 
@@ -30,12 +28,14 @@
   [StorableClass]
   public class DbTable {
-    private DbTable()
+    [StorableConstructor]
+    protected DbTable(bool deserializing)
       : base() {
-      this.columns = new List<DbColumn>();
       this.informationLoaded = new DateTime(1990, 1, 1);
     }
 
     public DbTable(string ownerName, string tableName)
-      : this() {
+      : base() {
+      this.informationLoaded = new DateTime(1990, 1, 1);
+      this.columns = new List<DbColumn>();
       this.ownerName = ownerName;
       this.tableName = tableName;
